| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
CoverageDependentSurfPhase::HeatCapacityDependency Struct Reference

A struct to store sets of parameters used in coverage-dependent heat capacity calculations by a log-quadratic equation in CoverageDependentSurfPhase. More...

`#include <CoverageDependentSurfPhase.h>`

## Detailed Description

A struct to store sets of parameters used in coverage-dependent heat capacity calculations by a log-quadratic equation in CoverageDependentSurfPhase.

Definition at line 191 of file CoverageDependentSurfPhase.h.

## Public Member Functions
| HeatCapacityDependency (size_t k, size_t j)

## Public Attributes
size_t | k
| index of a target species whose heat capacity is calculated
size_t | j
| index of a species whose coverage affects heat capacity of a target species
double | coeff_a
| coefficient \( c^{(a)} \) [J/kmol/K] in the coverage-dependent heat capacity model
double | coeff_b
| coefficient \( c^{(b)} \) [J/kmol/K] in the coverage-dependent heat capacity model

## Constructor & Destructor Documentation

## ◆ HeatCapacityDependency()

HeatCapacityDependency | ( | size_t | k,
|  | size_t | j
| ) |  |
| inline

Parameters

  k | index of a target species whose heat capacity is calculated
  j | index of a species whose coverage affects heat capacity of a target species

Definition at line 198 of file CoverageDependentSurfPhase.h.

## Member Data Documentation

## ◆ k

size_t k

index of a target species whose heat capacity is calculated

Definition at line 201 of file CoverageDependentSurfPhase.h.

## ◆ j

size_t j

index of a species whose coverage affects heat capacity of a target species

Definition at line 204 of file CoverageDependentSurfPhase.h.

## ◆ coeff_a

double coeff_a

coefficient \( c^{(a)} \) [J/kmol/K] in the coverage-dependent heat capacity model

Definition at line 207 of file CoverageDependentSurfPhase.h.

## ◆ coeff_b

double coeff_b

coefficient \( c^{(b)} \) [J/kmol/K] in the coverage-dependent heat capacity model

Definition at line 210 of file CoverageDependentSurfPhase.h.

The documentation for this struct was generated from the following file:

- CoverageDependentSurfPhase.h